---
title: Card token
slug: apis/payments/cos-card-payments/card-token-apis/card-token
description: Discover how to efficiently retrieve and manage card tokens using the `/cardpayments/v1/cardtokens` GET API endpoint, featuring customizable filters and structured responses.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-09-21T09:02:28.521Z
---

## API reference

Retrieves the information for multiple card tokens using multiple filter parameters if needed

:::ApiMethodV2
```json
{
  "name": "Endpoint: /cardpayments/v1/cardtokens",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/cardpayments/v1/cardtokens",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "ZneZqxUJkzI4OYU-2JQxR",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/cardpayments/v1/cardtokens' \\\n--header 'Accept: application/json' \\\n--header 'Authorization: Bearer token'"
      },
      {
        "id": "iNQYMTaHNdSH2rEwtGJmG",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/cardpayments/v1/cardtokens',\n  'headers': {\n    'Accept': 'application/json',\n    'Authorization': 'Bearer token'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();"
      },
      {
        "id": "mVZ1ZkTV_TXm-lXjk_6Hg",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {\n  'Accept': 'application/json',\n  'Authorization': 'Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsIng1dCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc3NjA3NjQxOCwiaWF0IjoxNzc2MDc2NDE4LCJleHAiOjE3NzYwNzgyMTgsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJvcGVuaWQiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJhbXIiOlsiZXh0ZXJuYWwiXSwiY2xpZW50X2lkIjoiY29zZXhwbG9yZXJ1aSIsInN1YiI6ImNjY2E0OTUwLTY3MmEtNDhmZS1iNzUyLTZjNjNmZDFiNjk2ZSIsImF1dGhfdGltZSI6MTc3NjA3NjQxNywiaWRwIjoiQ1JCRW50cmFBY2NvdW50IiwibmFtZSI6InJub3JtaWxlIiwiZ2l2ZW5fbmFtZSI6IlJldXZlbiIsInJvbGUiOlsiVlBOIEFjY2VzcyIsInNlY0RldnNBbGwiLCJkZXZTZWMuRXh0LkRldiIsInNlY0NhcmRBY2Nlc3MiLCIhRGV2ZWxvcGVycyIsInNlY1JvbGVDT1NTYngiLCJzZWNBcmdvQ0RWaWV3ZXJzIiwic2VjUm9sZUNPU0RldiIsInNlY0FXU19SRFAiLCJTZWNBV1NfV1NQIiwic2VjQ2xhdWRlQ29kZURldmVsb3BlcnMiLCJkZXZTZWMuSW50LkRldiJdLCJzaWQiOiJBMEVDNDYzRjhGMzE0RjM0MzdGMUQ2OEY5NjgyMjNDQiIsImp0aSI6IkE0RTA4N0VFRUIyODNBNENGNTE0RUNGMDk3MUMxNEIyIn0.QLxmFznRw6J4XX3b3i7Z9L_f9bF3cS7qykLtj5U6WcTSQG5BYWNsX37YG5UCKTpjWZBEeZH2svFlLHomr_hXBioSkdT2P8q78yMDnc0QHk4E4_jsF7zKAYFtKzMAC8aN2TRUgk-X5uh592WIOMrzi2j1CVP8S_KnL2voabn8KYcqpQ6BnxEQUXxNjGFv3monJtYqHqcrUWiTwMXhG4hIhCWInDnSElhzhf5-5aUS0QBG703qx5oErPg4mPBVoa9wZFDQi9Fa-K0VwOwWcmg6TFbC8E-xKlJUDeXT-07LRaUJCm_k8yocVdaCusevyUO4B-3m0xfkZ1KmuFJGGikPfQ'\n}\nconn.request(\"GET\", \"/cardpayments/v1/cardtokens\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))"
      },
      {
        "id": "p6oxzzFuOsJK6lGFA0ZgT",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/cardpayments/v1/cardtokens\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer token\"\n\nresponse = https.request(request)\nputs response.read_body\n"
      },
      {
        "id": "u6cw6DOhkC0VuFfFJY8pd",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/cardpayments/v1/cardtokens\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Accept\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer token\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}"
      }
    ],
    "selectedLanguageId": "ZneZqxUJkzI4OYU-2JQxR"
  },
  "results": {
    "languages": [
      {
        "id": "zSKeGucw0Ij9uNyBPihiv",
        "language": "200",
        "code": "{\n    \"results\": [\n        {\n            \"id\": \"759f4eab-5400-4e25-9815-b4af0085684e\",\n            \"partnerId\": \"1101a33d-fbd9-4b9e-b169-b29500f12407\",\n            \"productId\": \"29f3022a-ccfc-42eb-aa8f-b29500f13d00\",\n            \"accountNumber\": \"2113556886\",\n            \"masterAccountNumber\": \"2113556886\",\n            \"token\": \"39A99D770B354E63AC4EFAF64E757F24000000\",\n            \"rail\": \"VisaDirect\",\n            \"cardType\": \"Debit\",\n            \"productType\": \"Unknown\",\n            \"authorizationStatus\": \"Approved\",\n            \"statusReasonCode\": \"00\",\n            \"statusReasonDescription\": \"Approved and completed successfully\",\n            \"isAuthorized\": true,\n            \"firstName\": \"Bob\",\n            \"lastName\": \"Bobbie\",\n            \"address\": {\n                \"street1\": \"101 Main Street\",\n                \"street2\": \"More address info\",\n                \"city\": \"New York\",\n                \"state\": \"NY\",\n                \"postalCode\": \"07666\",\n                \"countryCode\": \"US\"\n            },\n            \"isAddressVerified\": true,\n            \"addressVerificationDetails\": {\n                \"avsResponseCode\": \"Y\",\n                \"cvv2ResultCode\": \"M\",\n                \"isCVVMatched\": true\n            },\n            \"accountNameInquiryUsed\": \"Used\",\n            \"accountNameInquiryResult\": \"Match\",\n            \"nameVerificationDetails\": {\n                \"lastNameVerificationStatus\": \"Match\",\n                \"firstNameVerificationStatus\": \"Match\",\n                \"middleNameVerificationStatus\": \"Match\",\n                \"nameVerificationProcessingResult\": \"Name Match Performed\"\n            },\n            \"phone\": \"2015551212\",\n            \"emailAddress\": \"mmm@xxx.com\",\n            \"binNumber\": \"411111\",\n            \"panLastFour\": \"1111\",\n            \"expirationMonth\": 12,\n            \"expirationYear\": 2030,\n            \"cardFingerprint\": \"7BleaDLyA+3nxDUkoX6WjE0GKUHvEniZuoJFFjVd0muNYH4P3VOoV0w5LX3JW4h75OMx50mIRTS6xnpcxLX/2w==\",\n            \"isExpired\": false,\n            \"cardBrand\": \"Visa\",\n            \"capabilities\": {\n                \"fastFundsSupported\": true,\n                \"domesticPushEnabled\": true,\n                \"domesticPullEnabled\": true,\n                \"internationalPushEnabled\": true,\n                \"internationalPullEnabled\": true\n            },\n            \"issuerCountryCode\": \"US\",\n            \"clientIdentifier\": \"string\",\n            \"createdAt\": \"2026-08-23T04:05:43.3-04:00\",\n            \"isActive\": true,\n            \"authorizedAt\": \"2026-08-23T04:05:43.597-04:00\",\n            \"lastModifiedAt\": \"2026-08-23T04:05:43.5968251-04:00\"\n        }\n    ],\n    \"pageNumber\": 1,\n    \"pageSize\": 1,\n    \"hasPreviousPage\": false,\n    \"hasNextPage\": false\n}",
        "customLabel": ""
      },
      {
        "id": "W5Gl11RtUiB7WeXh6Hp_d",
        "language": "400",
        "code": "{\n   \"errors\": [\n     {\n       \"code\": 0,\n       \"message\": \"string\"\n     } \n   ] \n}    ",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "zSKeGucw0Ij9uNyBPihiv"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "from",
        "kind": "optional",
        "type": "string",
        "description": "Date-time from for the search",
        "": "string"
      },
      {
        "name": "to",
        "kind": "optional",
        "type": "string",
        "description": "Date-time to for the search",
        "": "Date-time to for the search"
      },
      {
        "name": "firstName",
        "kind": "optional",
        "type": "string",
        "description": "First name",
        "": "First name"
      },
      {
        "name": "lastName",
        "kind": "optional",
        "type": "string",
        "description": "Last name",
        "": "Last name"
      },
      {
        "name": "partnerId",
        "kind": "optional",
        "type": "string",
        "description": " A UUID that identifies the partner, as defined in COS.",
        "": " A UUID that identifies the partner, as defined in COS."
      },
      {
        "name": "productId",
        "kind": "optional",
        "type": "string",
        "description": "A UUID that identifies the product, as defined in COS.",
        "": "A UUID that identifies the product, as defined in COS."
      },
      {
        "name": "status",
        "kind": "optional",
        "type": "string",
        "description": "Will be one of the following:\n- NotRequired\n- New\n- Pending\n- Approved\n- Rejected\n- Failed",
        "": "Will be one of the following:\n- NotRequired\n- New\n- Pending\n- Approved\n- Rejected\n- Failed"
      },
      {
        "name": "cardBrand",
        "kind": "optional",
        "type": "string",
        "description": "Will be one of the following:\n- AmericanExpress\n- ChinaUnionPay\n- Dankort\n- DinersClub\n- Discover\n- Hipercard\n- JCB\n- Laser\n- Maestro\n- MasterCard\n- RuPay\n- Solo\n- Switch\n- Visa\n- Unknown",
        "": "Will be one of the following:\n- AmericanExpress\n- ChinaUnionPay\n- Dankort\n- DinersClub\n- Discover\n- Hipercard\n- JCB\n- Laser\n- Maestro\n- MasterCard\n- RuPay\n- Solo\n- Switch\n- Visa\n- Unknown"
      },
      {
        "name": "issuerCountryCode",
        "kind": "optional",
        "type": "string",
        "description": "A string representing the country code of the card issuer.",
        "": "A string representing the country code of the card issuer."
      },
      {
        "name": "clientIdentifier",
        "kind": "optional",
        "type": "string",
        "description": "A string that identifies the client associated with the token. Max 50 characters",
        "": "A string that identifies the client associated with the token. Max 50 characters"
      }
    ],
    "headerParameters": [],
    "formDataParameters": [],
    "bodyDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The GUID of the card token you want to retrieve"
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the partner, as defined in COS."
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the product, as defined in COS."
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Account number"
    },
    {
      "name": "masterAccountNumber",
      "kind": "optional",
      "type": "string",
      "description": "The master account number that the card token's account belongs to. If `accountNumber` is a sub-account, this is the parent account it rolls up to; otherwise the two values are the same."
    },
    {
      "name": "token",
      "kind": "optional",
      "type": "string",
      "description": "A randomly generated string of characters that relates to the consumer's payment card (15-38 alphanumeric characters). "
    },
    {
      "name": "rail",
      "kind": "optional",
      "type": "string",
      "description": "The processor that communicates with the card network:\n\n- McSend\n- TabaPay\n- VisaDirect"
    },
    {
      "name": "cardType",
      "kind": "optional",
      "type": "string",
      "description": "The kind of payment card:\n\n- Credit\n- Debit\n- Prepaid\n- Combo\n- ChargeCard\n- DeferredDebit\n- VisaPlus\n- Unknown"
    },
    {
      "name": "productType",
      "kind": "optional",
      "type": "string",
      "description": "Cardholder card type:\n\n- Consumer\n- Commercial\n- Government\n- Business\n- Unknown"
    },
    {
      "name": "authorizationStatus",
      "kind": "optional",
      "type": "string",
      "description": "Responses can be:\n- NotRequired\n- New\n- Pending\n- Approved\n- Rejected\n- Failed"
    },
    {
      "name": "statusReasonCode",
      "kind": "optional",
      "type": "string",
      "description": "A code indicating the reason for certain statuses, particularly useful in rejections or failures."
    },
    {
      "name": "statusReasonDescription",
      "kind": "optional",
      "type": "string",
      "description": "A description explaining the reason code."
    },
    {
      "name": "isAuthorized",
      "kind": "optional",
      "type": "boolean",
      "description": "An indicator on whether or not the card token is authorized"
    },
    {
      "name": "firstName",
      "kind": "optional",
      "type": "string",
      "description": "First name. Min 1 character, max 35 characters"
    },
    {
      "name": "middleName",
      "kind": "optional",
      "type": "string",
      "description": "Middle name. Min 1 character, max 35 characters",
      "children": []
    },
    {
      "name": "lastName",
      "kind": "optional",
      "type": "string",
      "description": "Last name. Min 1 character, max 35 characters"
    },
    {
      "name": "address",
      "kind": "optional",
      "type": "object",
      "description": "Address of card holder",
      "children": [
        {
          "name": "street1",
          "kind": "optional",
          "type": "string",
          "description": "Street address line 1. Max length 60"
        },
        {
          "name": "street2",
          "kind": "optional",
          "type": "string",
          "description": "Street address line 2. Max length 60"
        },
        {
          "name": "city",
          "kind": "optional",
          "type": "string",
          "description": "Name of the city. Max length 60"
        },
        {
          "name": "state",
          "kind": "optional",
          "type": "string",
          "description": "State code. 2 characters"
        },
        {
          "name": "postalCode",
          "kind": "optional",
          "type": "string",
          "description": "Max 10 characters"
        },
        {
          "name": "countryCode",
          "kind": "optional",
          "type": "string",
          "description": "2-letter ISO country code"
        }
      ]
    },
    {
      "name": "isAddressVerified",
      "kind": "optional",
      "type": "boolean",
      "description": "An indicator on whether or not the address was verified"
    },
    {
      "name": "addressVerificationDetails",
      "kind": "optional",
      "type": "object",
      "description": "Detailed results from Address Verification Service (AVS) and CVV2 verification performed during card authorization",
      "children": [
        {
          "name": "avsResponseCode",
          "kind": "optional",
          "type": "string",
          "description": "AVS response code from the card network (e.g., 'Y' for match, 'N' for no match). Max 10 characters"
        },
        {
          "name": "avsResponseDesc",
          "kind": "optional",
          "type": "string",
          "description": "Human-readable description of the AVS response. Max 255 characters"
        },
        {
          "name": "cvv2ResultCode",
          "kind": "optional",
          "type": "string",
          "description": "CVV2 verification result code from the card network. Max 10 characters"
        },
        {
          "name": "isCVVMatched",
          "kind": "optional",
          "type": "boolean",
          "description": "Indicates whether the CVV2 provided matched the card on file"
        }
      ]
    },
    {
      "name": "accountNameInquiryUsed",
      "kind": "optional",
      "type": "string",
      "description": "Indicates whether Cross River tried to contact the ANI service. This attribute value will also let you know if the merchant isn't configured for the ANI service. In that case, we recommend contacting your Cross River relationship manager for details on how to connect to ANI.",
      "children": []
    },
    {
      "name": "accountNameInquiryResult",
      "kind": "optional",
      "type": "string",
      "description": "Indicates whether the initiator-provided card details match fully, partially, or not at all, or if they are unknown. Possible values are:\nMatch\nNo Match\nPartial Match\nUnknown",
      "children": []
    },
    {
      "name": "nameVerificationDetails",
      "kind": "optional",
      "type": "object",
      "description": "Acquirer Network Information (ANI) results for cardholder name verification performed during card authorization",
      "children": [
        {
          "name": "lastNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the last name (e.g., 'MATCH', 'NO_MATCH', 'NOT_CHECKED')"
        },
        {
          "name": "firstNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the first name (e.g., 'MATCH', 'NO_MATCH', 'NOT_CHECKED')"
        },
        {
          "name": "middleNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the middle name (e.g., 'MATCH', 'NO_MATCH', 'NOT_CHECKED')"
        },
        {
          "name": "nameVerificationProcessingResult",
          "kind": "optional",
          "type": "string",
          "description": "Overall processing result for name verification (e.g., 'SUCCESS', 'FAILED')"
        }
      ]
    },
    {
      "name": "phone",
      "kind": "optional",
      "type": "string",
      "description": "Valid phone number"
    },
    {
      "name": "emailAddress",
      "kind": "optional",
      "type": "string",
      "description": "Valid email address"
    },
    {
      "name": "binNumber",
      "kind": "optional",
      "type": "string",
      "description": "The first 4 digits on the card. This identification number indicates the card-issuing bank."
    },
    {
      "name": "panLastFour",
      "kind": "optional",
      "type": "string",
      "description": "Last 4 digits of PAN "
    },
    {
      "name": "expirationMonth",
      "kind": "optional",
      "type": "integer",
      "description": "Two-digit month. Credit cards expire at the end of the month written on the card"
    },
    {
      "name": "expirationYear",
      "kind": "optional",
      "type": "integer",
      "description": "Two-digit year"
    },
    {
      "name": "cardFingerprint",
      "kind": "optional",
      "type": "string",
      "description": "A consistent, opaque identifier for a card without exposing any PAN-related data or risking reversibility",
      "children": []
    },
    {
      "name": "isExpired",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the card is expired"
    },
    {
      "name": "cardBrand",
      "kind": "optional",
      "type": "string",
      "description": "Will be one of the following:\n- AmericanExpress\n- ChinaUnionPay\n- Dankort\n- DinersClub\n- Discover\n- Hipercard\n- JCB\n- Laser\n- Maestro\n- MasterCard\n- RuPay\n- Solo\n- Switch\n- Visa\n- Unknown"
    },
    {
      "name": "capabilities",
      "kind": "optional",
      "type": "object",
      "description": "Capabilities are the actions permitted to do on a specific card, these are returned from the rails when the card is authorized",
      "children": [
        {
          "name": "fastFundsSupported",
          "kind": "optional",
          "type": "boolean",
          "description": "Card network can move the funds to the card immediately"
        },
        {
          "name": "domesticPushEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to push within the US"
        },
        {
          "name": "domesticPullEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to pull within the US"
        },
        {
          "name": "internationalPushEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to push internationally- outside of the US"
        },
        {
          "name": "internationalPullEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to pull internationally- outside of the US. \nNote: internationalPullEnabled - IS NOT YET SUPPORTED ACROSS ALL OF THE RAILS"
        }
      ]
    },
    {
      "name": "issuerCountryCode",
      "kind": "optional",
      "type": "string",
      "description": "ISO country of issuer. Used for domestic/international logic & compliance"
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "User reference id. Max 50 characters"
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "When token was created"
    },
    {
      "name": "isActive",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the card is active "
    },
    {
      "name": "authorizedAt",
      "kind": "optional",
      "type": "string",
      "description": "When authorized"
    },
    {
      "name": "deActivatedAt",
      "kind": "optional",
      "type": "string",
      "description": "When deactivated"
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Last update timestamp"
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-cardpaymentsv1cardtokens",
  "legacyHash": "9y8nY6hXnA0SH30wL5ti6"
}
```
:::

